# Enum SnapStream.StreamMode

java.lang.Object
java.lang.Enum<SnapStream.StreamMode>
org.apache.zookeeper.server.persistence.SnapStream.StreamMode

All Implemented Interfaces:
  `Serializable, Comparable<SnapStream.StreamMode>`

Enclosing class:
  `SnapStream`

public static enum SnapStream.StreamMode extends Enum<SnapStream.StreamMode>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHECKED`
`GZIP`
`SNAPPY`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SnapStream.StreamMode`
`DEFAULT_MODE`

## Method Summary

Modifier and Type
Method
Description
`static SnapStream.StreamMode`
`fromString(String name)`
`String`
`getFileExtension()`
`String`
`getName()`
`static SnapStream.StreamMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SnapStream.StreamMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GZIP

public static final SnapStream.StreamMode GZIP

### SNAPPY

public static final SnapStream.StreamMode SNAPPY

### CHECKED

public static final SnapStream.StreamMode CHECKED

## Field Details

### DEFAULT_MODE

public static final SnapStream.StreamMode DEFAULT_MODE

## Method Details

### values

public static SnapStream.StreamMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SnapStream.StreamMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()

### getFileExtension

public String getFileExtension()

### fromString

public static SnapStream.StreamMode fromString(String name)